﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Viewing and Updating Functions</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Viewing and Updating Functions</h1>
        <p>You can search and modify for one or more functions using the Function List page. Based on the search criteria that you enter in the search or Advanced&#160;search fields, the system displays one or more functions accordingly in the Function List page.</p>
        <p>To search for functions, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>SOD &gt; Ruleset &gt;&#160;Functions &gt; Functions List</strong>.</p>
            </li>
            <li>
                <p>Enter the required function name or description in the search field and click <strong>Search </strong>.<br />OR <br />You can also use <strong>Advanced </strong>search option to search a function. To use the Advanced search option, click Advanced in the Function List page. Specify the&#160;required search parameter (Ruleset/Business Process/Status) details and click <strong>Search</strong>.&#160;The matched results are displayed.</p>
                <p>
                    <img src="../Resources/Images/advanced search - functions.png" style="width: 844px;height: 275px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
        </ol>
        <h2 id="ViewingandUpdatingFunctions-UpdatingFunctions">Updating Functions</h2>
        <p>To modify the functions, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD &gt; Ruleset &gt;&#160;Functions &gt; Functions&#160;List</strong>.</li>
            <li>Click the required function name in line with the <strong>Function</strong> column. The <strong>Functions</strong> page is displayed.</li>
            <li>Modify the necessary parameters and click <strong>Update</strong>.</li>
        </ol>
        <p>For more information, see <MadCap:xref href="Creating-Functions.htm">Creating Functions</MadCap:xref>.</p>
    </body>
</html>